<?php 
namespace Concrete\Package\Seren\Block\PilipalaAccordion;
use \Concrete\Core\Block\BlockController;
use Page;
use Loader;
use BlockType;

	class Controller extends BlockController {


	protected $btTable = 'btPilipalaAccordion';
	protected $btWrapperClass = 'ccm-ui';
	protected $btInterfaceWidth = "600";
	protected $btInterfaceHeight = "400";
	protected $btDefaultSet = 'seren';

	public function on_page_view() {

	}
	public function getBlockTypeName() {
		return t('Bootstrap Accordion');
	}
	public function getBlockTypeDescription() {
		return t('An accordion block using Bootstrap, for use with the Seren Theme.');
	}

	function add() {
		$this->set('bID', '001');
		$this->requireAsset('redactor');
    	$this->requireAsset('core/file-manager');
	}

	public function view() {

		$db = Loader::db();

		$sql = "SELECT * FROM btPilipalaAccordionTabs WHERE AccordionID=".intval($this->bID);

		$contents = $db->getAll($sql);

		$this->set('contents', $contents);
		$this->set('bID', $this->bID);
	}

	function delete(){
		$db = Loader::db();
		$db->query("DELETE FROM btPilipalaAccordionTabs WHERE AccordionID=".intval($this->bID));
		parent::delete();
	}

	public function edit() {

		$this->requireAsset('redactor');
    	$this->requireAsset('core/file-manager');

		$db = Loader::db();

		$sql = "SELECT * FROM btPilipalaAccordionTabs WHERE AccordionID=".intval($this->bID);

		$contents = $db->getAll($sql);

		$this->set('bID', $this->bID);
		$this->set('contents', $contents);

	}

	public function save($args) {

		parent::save($args);

		$db = Loader::db();

		$db->query("DELETE FROM btPilipalaAccordionTabs WHERE AccordionID=".intval($this->bID));

		$index = 0;

		foreach($args['title'] as $title){

			$tabContent = $args['content'][$index];

			$vals = array(intval($this->bID),$title,$tabContent);

			$db->query("INSERT INTO btPilipalaAccordionTabs (AccordionID,Title,TabContent) values (?,?,?)",$vals);

			$index = $index + 1;
		}
	}
}
