<?php        

namespace Concrete\Package\Seren;
use Package;
use BlockType;
use SinglePage;
use PageTheme;
use PageTemplate;
use BlockTypeSet;
use Concrete\Core\Attribute\Type as AttributeType;
use CollectionAttributeKey;
use Concrete\Core\Attribute\Key\Category as AttributeKeyCategory;
use Concrete\Core\Attribute\Set as AttributeSet;

 

defined('C5_EXECUTE') or die(_("Access Denied."));

class Controller extends Package {

	protected $pkgHandle = 'seren';
	protected $appVersionRequired = '5.7.3';
	protected $pkgVersion = '0.9.4';
	
	
	
	public function getPackageDescription()
	{
		return t("Seren theme is a Bootstrap theme featuring a top menu with transparency scroll effect.");
	}

	public function getPackageName()
	{
		return t("Seren");
	}
	
	public function install()
	{
		
		$pkg = parent::install();
		BlockTypeSet::add("seren","Seren", $pkg);
		BlockType::installBlockTypeFromPackage('pilipala_accordion', $pkg); 
		BlockType::installBlockTypeFromPackage('seren_button', $pkg); 
        $this->pageTemplates($pkg);
		$this->installPageAttributes($pkg);
		PageTheme::add('seren', $pkg);				

  	}
	
	private function pageTemplates($pkg) {
		
		if (!PageTemplate::getByHandle('blog_entry')) {
            PageTemplate::add('blog_entry', t('Blog Entry'), 'right_sidebar.png', $pkg);
        }
		
		if (!PageTemplate::getByHandle('custom_layout')) {
            PageTemplate::add('custom_layout', t('Custom Layout'), 'full.png', $pkg);
        }
		
        if (!PageTemplate::getByHandle('full')) {
            PageTemplate::add('full', t('Full'), 'full.png', $pkg);
        }
		
		if (!PageTemplate::getByHandle('home')) {
            PageTemplate::add('home', t('Home'), 'full.png', $pkg);
        }
		
		if (!PageTemplate::getByHandle('left_sidebar')) {
            PageTemplate::add('left_sidebar', t('Left Sidebar'), 'left_sidebar.png', $pkg);
        }
		
        if (!PageTemplate::getByHandle('portfolio_item')) {
            PageTemplate::add('portfolio_item', t('Portfolio Item'), 'right_sidebar.png', $pkg);
        }
		
        if (!PageTemplate::getByHandle('right_sidebar')) {
            PageTemplate::add('right_sidebar', t('Right Sidebar'), 'right_sidebar.png', $pkg);
        }
		
		if (!PageTemplate::getByHandle('three_columns')) {
            PageTemplate::add('three_columns', t('Three Columns'), 'three_column.png', $pkg);
        }
		
		if (!PageTemplate::getByHandle('three_over_two')) {
            PageTemplate::add('three_over_two', t('Three Over Two'), 'three_column.png', $pkg);
        }
		
		if (!PageTemplate::getByHandle('two_columns')) {
            PageTemplate::add('two_columns', t('Two Columns'), 'two_column.png', $pkg);
        }
		
    }

  private function installPageAttributes(&$pkg) {
    // set attribute category 
    $akCatSet = AttributeSet::getByHandle('seren_set');
    if(!is_object($akCatSet)){
      $akCat = AttributeKeyCategory::getByHandle('collection');
      $akCat->setAllowAttributeSets(AttributeKeyCategory::ASET_ALLOW_SINGLE);
      $akCatSet = $akCat->addSet('seren_set', t('Seren Set'),$pkg);
    }
	
	$imgAttr = AttributeType::getByHandle('image_file'); 
  	$serenBannerImage = CollectionAttributeKey::getByHandle('seren_banner_image'); 
	 if( !is_object($serenBannerImage) ) {
     CollectionAttributeKey::add($imgAttr, 
        	array('akHandle' => 'seren_banner_image', 
          'akName' => t('Seren Banner Image'), 
        ),$pkg)->setAttributeSet($akCatSet); 
		
	 }
	 
	$imgAttr = AttributeType::getByHandle('image_file'); 
  	$serenThumb = CollectionAttributeKey::getByHandle('seren_thumbnail'); 
	 if( !is_object($serenThumb) ) {
     CollectionAttributeKey::add($imgAttr, 
        	array('akHandle' => 'seren_thumbnail', 
          'akName' => t('Seren Thumbnail'), 
        ),$pkg)->setAttributeSet($akCatSet); 
 	
	  }
  }


}
